curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/appliances/status/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/appliances/status/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/appliances/status/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Lightweight status endpoint used to poll the lifecycle state of a load balancer (for example after create, upgrade, or power actions). Returns the id, name, and status (such as Creating, Running, Powered off) plus a data_monitor object. Pass the id query parameter to scope the response to a single load balancer.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Load balancer (appliance) ID to fetch status for. Omit to list status for all load balancers in the project.
Example
<LB_ID>1-based page number to retrieve.
Example
1Number of records to return per page.
Example
5Reserved search flag used by the console.
Example
trueIdentifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>Region to filter by.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
object
object
object
Example
{ "code": 200, "data": [ { "id": 7975, "name": "LB-NLB-26321-4626", "status": "Creating" } ], "message": "Success", "total_page_number": 1, "total_count": 1}